# List attribute list values

> Retrieve a paginated list of attribute list values.
{/* generated:versioned-pages - edit _pm-authored, not this file */}

`GET /api/categories/attribute_list_values`

Retrieves the collection of Attribute List Value resources.

Returns a paginated collection of attribute list values in the current organization.

## Headers

| Name              | Type     | Required | Description                                                                                                      |
| ----------------- | -------- | -------- | ---------------------------------------------------------------------------------------------------------------- |
| `Flowkiwi-Locale` | `string` | -        | Specifies the locale for properties that support localization. If not provided, the default locale will be used. |

## Query parameters

| Name               | Type      | Required | Description                                                         |
| ------------------ | --------- | -------- | ------------------------------------------------------------------- |
| `page`             | `integer` | -        | The collection page number                                          |
| `itemsPerPage`     | `integer` | -        | The number of items per page                                        |
| `order[createdAt]` | `string`  | -        |                                                                     |
| `order[updatedAt]` | `string`  | -        |                                                                     |
| `value`            | `string`  | -        | Filter on translated field (strategy: ipartial)                     |
| `order[value]`     | `string`  | -        | Order by translated field "value" (uses the Flowkiwi-Locale header) |

## Response

**200** - Attribute List Value collection

| Property     | Type                     | Required | Description |
| ------------ | ------------------------ | -------- | ----------- |
| `totalItems` | `integer`                | -        |             |
| `search`     | `object`                 | -        |             |
| `view`       | `object`                 | -        |             |
| `member`     | `Attribute.List.Value[]` | Yes      |             |

## Errors

**403** - Access denied. The caller is missing one or more identity permissions required for this operation.

| Property             | Type       | Required | Description                                                                                                                                |
| -------------------- | ---------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------ |
| `@context`           | `object`   | -        |                                                                                                                                            |
| `@id`                | `string`   | Yes      |                                                                                                                                            |
| `@type`              | `string`   | Yes      |                                                                                                                                            |
| `type`               | `string`   | -        |                                                                                                                                            |
| `title`              | `string`   | -        |                                                                                                                                            |
| `status`             | `integer`  | -        |                                                                                                                                            |
| `detail`             | `string`   | -        |                                                                                                                                            |
| `missingPermissions` | `string[]` | -        | Identity permissions that the caller is missing for this operation. Present only when the 403 is caused by a denied identity:* permission. |

## Examples

### Example request

```bash
curl -X GET 'https://<tenant>.product-management.flowkiwi.net/api/categories/attribute_list_values' \
  -H 'Authorization: Bearer {access_token}' \
  -H 'Flowkiwi-Api-Version: 2026-07' \
  -H 'Accept: application/ld+json'
```

### Example response

```json
{
  "@context": "/api/contexts/Attribute%20List%20Value",
  "@id": "/api/categories/attribute_list_values",
  "@type": "Collection",
  "totalItems": 2,
  "member": [
    {
      "@context": "/api/contexts/Attribute%20List%20Value",
      "@id": "/api/categories/attribute_list_values/019afd20-5e6f-7081-8a92-4d5e6f708192",
      "@type": "Attribute List Value",
      "id": "019afd20-5e6f-7081-8a92-4d5e6f708192",
      "value": "Red",
      "attribute": "/api/categories/attribute_lists/019afd10-3c4d-7e5f-8a60-2b3c4d5e6f70",
      "products": [
        "/api/products/019af93e-420e-79f8-800b-6680f03dce20"
      ],
      "createdAt": "2026-01-15T09:30:00+00:00",
      "updatedAt": "2026-02-03T14:45:12+00:00"
    },
    {
      "@context": "/api/contexts/Attribute%20List%20Value",
      "@id": "/api/categories/attribute_list_values/019afd21-6f70-7192-9ba3-5e6f708192a3",
      "@type": "Attribute List Value",
      "id": "019afd21-6f70-7192-9ba3-5e6f708192a3",
      "value": "Black",
      "attribute": "/api/categories/attribute_lists/019afd10-3c4d-7e5f-8a60-2b3c4d5e6f70",
      "products": [],
      "createdAt": "2026-01-15T09:30:00+00:00",
      "updatedAt": "2026-02-03T14:45:12+00:00"
    }
  ]
}
```
